import React from "react"

interface Props {
    children?: React.ReactNode
    title?: string
    className?: string
}

const Badge = (props: Props) => {
    const { children, title = "", className = "" } = props

    return (
        <div className={`badge ${className}`}>
            {title}
            {children}
        </div>
    )
}

export default Badge
