import React from "react"

interface IFrame {
    url?: string
    className?: string
    size?: string
}

const oClass = {
    xs: {
        className: " min-h-[250px] max-h-[250px] ",
    },
    base: {
        className: " min-h-[350px] max-h-[350px] ",
    },
    xl: {
        className: " min-h-[450px] max-h-[450px] ",
    },
}

const Iframe = (props: IFrame) => {
    const { url, className = "", size = "base" } = props
    const oclass = oClass[size]

    if (!url) return null
    return (
        <iframe
            src={url}
            className={"w-full " + oclass.className + className}
        ></iframe>
    )
}

export default Iframe
